Problem with mysql upgrade - not escaping table name

Bug #1483077 reported by Robert Lyon on 2015-08-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.10
High
Robert Lyon
1.9
High
Robert Lyon
15.04
High
Robert Lyon
15.10
Undecided
Unassigned

Bug Description

User getting error

adodb_throw(SHOW INDEXES FROM group, )

https://mahara.org/interaction/forum/topic.php?id=7318&offset=0&limit=10#post29430

Here the command uses a keyword 'group' without quoting it to be a table name

Robert Lyon (robertl-9) on 2015-08-10
Changed in mahara:
importance: Undecided → High
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 15.10.0
status: New → In Progress

Reviewed: https://reviews.mahara.org/5072
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/08939ca25acddff39b132e4bd823668b98447947
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 08939ca25acddff39b132e4bd823668b98447947
Author: Robert Lyon <email address hidden>
Date: Mon Aug 10 12:39:36 2015 +1200

Bug 1483077: escaping names when showing table / index

behatnotneeded

Change-Id: Id5b2a01d1ac240cdb271bfc952c41691a4bc4287
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-08-11
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/5083

Reviewed: https://reviews.mahara.org/5083
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/4d676a35c015d73677f5c4871ab8b55e79d70130
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 4d676a35c015d73677f5c4871ab8b55e79d70130
Author: Robert Lyon <email address hidden>
Date: Mon Aug 10 12:39:36 2015 +1200

Bug 1483077: escaping names when showing table / index

behatnotneeded

Change-Id: Id5b2a01d1ac240cdb271bfc952c41691a4bc4287
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/5084
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/e10fe1c1465007a3ba17a7c2119ba76dc57b3cf9
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit e10fe1c1465007a3ba17a7c2119ba76dc57b3cf9
Author: Robert Lyon <email address hidden>
Date: Mon Aug 10 12:39:36 2015 +1200

Bug 1483077: escaping names when showing table / index

behatnotneeded

Change-Id: Id5b2a01d1ac240cdb271bfc952c41691a4bc4287
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 4d676a35c015d73677f5c4871ab8b55e79d70130)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5082
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/0f67bb9843372fe70ad8385137f16095fc1aa6fa
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 0f67bb9843372fe70ad8385137f16095fc1aa6fa
Author: Robert Lyon <email address hidden>
Date: Mon Aug 10 12:39:36 2015 +1200

Bug 1483077: escaping names when showing table / index

behatnotneeded

Change-Id: Id5b2a01d1ac240cdb271bfc952c41691a4bc4287
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 08939ca25acddff39b132e4bd823668b98447947)

Robert Lyon (robertl-9) on 2016-11-06
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers